	program main
	integer*4 x,y
	integer*4 getval
	external getval

	x = #a5a5a5a5
	y=getval(x)
	if (x .ne. y) then
	    print *, 'ERROR in DLL call: DLL value: ',x,' EXE value: ',y
	else
	    print *, 'value returned is correct'
	endif
	stop
	end
